cURL
curl --request GET \
--url https://us.infisical.com/api/v1/projects/slug/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/slug/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/slug/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"slug": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"environments": [
{
"name": "<string>",
"slug": "<string>",
"id": "<string>"
}
],
"deletedEnvironments": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"deleteAfter": "2023-11-07T05:31:56Z",
"softDeletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"type": "user",
"id": "<string>",
"email": "<string>",
"username": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
],
"description": "<string>",
"defaultProduct": "<string>",
"autoCapitalization": false,
"version": 1,
"upgradeStatus": "<string>",
"pitVersionLimit": 10,
"kmsCertificateKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auditLogsRetentionDays": 123,
"hasDeleteProtection": false,
"secretSharing": true,
"showSnapshotsLegacy": false,
"secretDetectionIgnoreValues": [
"<string>"
],
"enforceEncryptedSecretManagerSecretMetadata": true
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Projects
Get Project By Slug
Get project details by slug
GET
/
api
/
v1
/
projects
/
slug
/
{slug}
cURL
Authorizations
An access token in Infisical
Path Parameters
The slug of the project to get.
Required string length:
1 - 64Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I